Package org.pentaho.reporting.libraries.resourceloader

# Class LibLoaderInfo

java.lang.Object
org.pentaho.reporting.libraries.base.versioning.DependencyInformation
org.pentaho.reporting.libraries.base.versioning.ProjectInformation
org.pentaho.reporting.libraries.resourceloader.LibLoaderInfo

public class LibLoaderInfo extends org.pentaho.reporting.libraries.base.versioning.ProjectInformation

## Constructor Summary

Constructors
Constructor
Description
`LibLoaderInfo()`
Constructs an empty project info object.

## Method Summary

Modifier and Type
Method
Description
`static LibLoaderInfo`
`getInstance()`

### Methods inherited from class org.pentaho.reporting.libraries.base.versioning.ProjectInformation

`addLibrary, getBootClass, getCopyright, getInternalName, getLibraries, getOptionalLibraries, getProductId, getReleaseBuildNumber, getReleaseCandidateToken, getReleaseMajor, getReleaseMilestone, getReleaseMinor, getReleaseNumber, getVersion`

### Methods inherited from class org.pentaho.reporting.libraries.base.versioning.DependencyInformation

`equals, getInfo, getLicenseName, getName, hashCode`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LibLoaderInfo

public LibLoaderInfo()
Constructs an empty project info object.

## Method Details

### getInstance

public static LibLoaderInfo getInstance()